List all registrations in a classroom slot

🔑

Required OAuth scope: classrooms:read.

📖

This endpoint is paginated with a page size of 2,000 slot registrations. For more information, see the Pagination guide.

Lists all users registered to a given classroom slot.

Path Params
string
required
^[a-fA-F0-9]{24}$

The unique ID of the classroom slot.

Query Params
createdAt
object

Filter on createdAt property with LHS bracket notation.

Expected value format is a date (YYYY-MM-DDThh:mm:ss.sssZ). The milliseconds are always set to 0.

hasAttended
object

Filter on hasAttended property with LHS bracket notation.

Expected value format is a boolean (true or false).

modifiedAt
object

Filter on modifiedAt property with LHS bracket notation.

Expected value format is a date (YYYY-MM-DDThh:mm:ss.sssZ). The milliseconds are always set to 0.

userId
object

Filter on userId property with LHS bracket notation.

Expected value format is a valid ID (24 digits or letters).

status
object

Filter on status property with LHS bracket notation.

Expected value format is a string (archived, published).

Headers
string
enum
required

The version of the API.

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json